/* Estilos generales */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: rgb(0, 0, 0);
    font-family: "Poppins", sans-serif;
    display: flex;
    flex-wrap: wrap;
    width: fit-content;
    height: fit-content;
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
    
    
}

input {
    outline: none;
}

label {
    color: rgb(255, 255, 255);
}

/* Estilos de los containers */
.container {
    display: flex;
    width: 80%;
    height: fit-content;
    margin-top: 2px;
    flex-wrap: wrap;
    text-align: center;
    margin-bottom: auto;
}

.column__container {
    display: flex;
    flex-wrap: wrap;
    height: fit-content;
    width: 19%;
    order: -1;
    padding: 2px;
    margin-left: 10px;
}

/* Header */
header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 10px;
    color: #ffffff;
    margin-left: auto;
    height: fit-content;
}

.header__title {
    display: flex;
    margin-right: auto;
    margin-top: 10px;
    text-align: start;
}

.header__title h1 {
    text-transform: uppercase;
}

.profile {
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile__info {
    margin-right: 10px;
    margin-left: 10px;
    text-align: left;
}

.profile__link-session {
    color: #1db954;
    text-decoration: underline;
    font-size: 15px;
}

.profile__link-session:hover {
    color: #ffffff;
}

.profile__image {
    width: 70px;
    height: 70px;
    margin-right: 5px;
}

/* Nav */
nav {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: fit-content;
    background-color: #000000;
    align-items: center;
    text-align: center;
}

.menu {
    width: 100%;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.menu li {
    width: 100%;
    margin-top: 2px;
    margin-bottom: 2px;
    border: 1px solid #1db954;
    border-radius: 5px;
    padding-top: 20px;
    padding-bottom: 20px;
    cursor: pointer;
}

.menu li:hover {
    background-color: #1db954;
    color: #000000;
}

.active {
    background-color: #1db954;
    color: #000000;
}

.menu li:hover a {
    color: #000000;
}

.menu li a {
    width: 100%;
    height: 100%;
    color: #ffffff;
    padding: 5% 35%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: pre;
    justify-content: center;
    align-items: center;
    display: flex;
}

/* Aside */
aside {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: fit-content;
    margin-top: 5px;
}

.song__section {
    width: 100%;
    align-items: center;
    text-align: center;
    justify-content: center;
}

.song__article {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 100%;
    text-align: center;
    position: relative;
}

.song__image {
    width: 100%;
    height: 100%;
    border: 1px solid #1db954;
    border-radius: 3px;
    margin-bottom: 5px;
}

.song__description {
    margin-top: 30px;
    align-self: flex-start;
    font-size: 10px;
    font-weight: 400;
    color: #ffffff;
}

/* Main */
main {
    display: flex;
    width: 100%;
    margin: auto;
    height: fit-content;
}

/* Estilos de las canciones */
.songs__section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
    width: 100%;
    height: 30rem;
    padding: 10px;
    margin: auto;
    overflow-y: auto;
}

.songs__article {
    display: flex;
    width: 33%;
    padding: 5px;
    position: relative;
}

.songs__link {
    width: 100%;
}

.songs__image {
    width: 100%;
    height: 100%;
    padding: 5px;
    border: 1px solid #1db954;
    display: block;
}

/* Porcentajes, responsive, usar em, también con responsive */
.songs__star,
.song__star {
    width: 10%;
    left: 85%;
    top: 5%;
    position: absolute;
    cursor: pointer;
}

.songs__star:hover,
.song__star:hover {
    opacity: 0.5;
}

.selected {
    opacity: 0.5;
}

/* Estilo del audio */
.audio__section {
    display: flex;
    width: 100%;
    margin: auto;
    margin-top: 15px;
    padding: 15px;
}

.audio__article {
    display: flex;
    text-align: center;
    justify-content: center;
    width: 99%;
    background-color: #1db954;
    border-radius: 10px;
    padding: 20px 5px 20px 5px;
}

.audio {
    width: 98%;
}

/* Estilos del footer */
footer {
    width: 99%;
    height: max-content;
    background-color: #000000;
    color: #ffffff;
    padding: 10px;
    text-align: center;
    font-weight: 400;
    margin: 0px 10px 10px 10px;
    margin-top: 130px;
    bottom: 0;
    border: 2px solid #1db954;
    border-radius: 3px;
}

@media only screen and (max-width: 1024px) {
    .container {
        width: 75%;
        justify-content: center;
        height: 100%;
    }

    .column__container {
        width: 23%;
        height: 100%;
    }

    nav {
        margin-top: 20px;
        margin-bottom: 65px;
    }

    .menu li a {
        padding: 9% 27%;
        
    }

    footer {
        position: unset;
        width: 95%;
        margin-left: 25px;
        margin-top: 10px;
        bottom: 0;
    }

    .audio__section {
        padding: 5px;
    }

    .audio__article {
        padding: 10px 5px 10px 5px;
    }

    .songs__star {
        width: 13%;
        left: 80%;
    }
}

/* @media only screen and (max-width: 820px) {

    body {
        width: auto;
    }

    .container {
        width: 63%;
    }

    .column__container {
        width: 35%;
    }

    .songs__section {
        height: 50vh;
    }

    .songs__article {
        width: 100%;
    }

    .profile__info h3 {
        display: none;
    }
} */

@media only screen and (max-width: 621px) {
    .container {
        width: 60%;
    }

    .column__container {
        width: 32%;
    }

    .menu li a {
        padding: 10% 23%;
    }

    nav {
        margin-bottom: 10px;
    }

    .header__title {
        margin: auto;
    }

    .header__title h1 {
        font-size: 25px;
    }

    .profile__info {
        margin: auto;
        margin-right: 15px;
        align-items: center;
        justify-content: center;
        font-size: 8px;
    }

    .songs__article {
        width: 100%;
    }

    .songs__star {
        width: 20%;
        left: 75%;
    }
}

@media only screen and (max-width: 540px) {
    .container {
        width: 65%;
    }

    .header__title h1 {
        display: none;
    }

    .menu li a {
        padding: 12% 19%;
    }

    .songs__star {
        width: 17%;
        left: 75%;
        top: 7%;
    }

    /* .song__article {
    } */

    footer {
        font-size: 10px;
        /* margin: auto; */
        margin-left: 10px;
        margin-bottom: 3px;
    }
}
